Subject: A&T bug ?

From: [email-masked] (Ferenc Molnar)
Date: Fri, 3 Dec 93 09:21:28 +0100

Dear Netters,

some weeks ago I posted requests for literature on 
constraints in MD-calculations. Yesterday I finished
programming an algorithm for this problem. In order
to compare some results, I wanted to use the "RATTLE"-scheme
as implemented in one of the subroutines (called "f.9") from
the book of Allen & Tildesley.

Part of the "RATTLE" algorithm of the subroutine "f.9" (part: MOVEA) 
that I have  does not lead to convergence! 
I think that the reason for this is a bug in the sourcecode.

At the point where the intermediate positions and velocities
are updated the corrections seem to have the wrong sign.

e.g.:
      .
   PXI(A)=PXI(A)+RMA*DX
      .
      .

   PXI(B)=PXI(B)-RMA*DX
      .

should read:
      .
   PXI(A)=PXI(A)-RMA*DX
      .
      .
   PXI(B)=PXI(B)+RMA*DX
      .

Has anyone else made the same experience or is my code
for "f.9" corrupt?

Another question on a different topic:
Does anybody know about parameters for Argon 
(or other rare gas atoms) in semiempirical schemes like 
AM1, PM3, or MNDO etc.?	

I will report to the net if anyone is interested in these
topics.

Thank you very much in advance,

Ferenc

Ferenc Molnar

---------------------------------------------------------------------------
Institut fuer Physikalische und Theoretische Chemie
- Lehrstuhl Prof. Dick -                   Tel.:  (+49) 941 943-4466 /-4486
Universitaet Regensburg                    Fax.:  (+49) 941 943-4488
Universitaetsstrasse 31
D-93053 Regensburg
Deutschland / Germany
---------------------------------------------------------------------------
EMail (SMTP):  [email-masked]
               [email-masked]
               [email-masked]
---------------------------------------------------------------------------
:-) There is more to live than increasing its speed.
                                       -- Ghandi  ;-)
---------------------------------------------------------------------------